Desktop and Enterprise Software, Solutions and Services for Chemists and Biologists.

PerkinElmer Informatics Support News

Support Announcement

April 24, 2017

Release Announcement - High Content Profiler 1.3.2 & Spotfire 7.7

High Content Profiler 1.3.2 has been qualified to work with Spotfire server versions 7.5, 7.6, and 7.7.
« Back